import random

def random_list():
    return random.sample(range(0, 101), 20)

def is_file(thing):
    pass

def process_directory(directory):
    """
    This function does not do anything! It is a conceptual idea for tree recursion.
    """
    for item in directory:
        if is_file(item):
            process_file(item)
        else:
            processDirectory(item)

def split(x, s):
    return [i for i in s if i <= x], [i for i in s if i > x]

def quicksort(lst):
    """
    Sort a sequence - split it by the first element,
    sort both parts and put them back together.
    """
    if not lst:
        return []
    else:
        pivot = lst[0]
        smaller, bigger = split(pivot, lst[1:])
        return quicksort(smaller) + [pivot] + quicksort(bigger)

def fib(n):
    """
    >>> fib(5)
    5
    """
    if n < 2:
        return n
    return fib(n - 1) + fib(n - 2)
